<?php
namespace App\Repositories\Interfaces\Website;

interface PlayListRepositoryInterface
{
    public function all();
    public function find($id);
    public function store(array $data);
    public function update($playlist, array $data);
    public function delete($playlist);
    public function getPlayListVideos($playlist);
    public function addMovieToPlaylist($playlist, $movieId);
    public function removeMovieFromPlaylist($playlist, $movieId);
    public function getPlayListIds($movie);
}
